.calc_new_form {
    justify-content: center;
    height: 100%;
    display: flex;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
    align-content: center;
    align-items: flex-start;
}

.calc_screen {
    background: #fbfbfb;
    background-repeat: no-repeat;
    position: relative;
    background-size: cover;
    background-attachment: fixed;
}

.calc_screen:after {
    content: '';
    background: rgba(255, 255, 255, 0.9);
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
}

.calc_screen_inner .calc3 {
    background: white;
    padding: 40px;
    box-sizing: border-box;
    border-radius: 5px;
    box-shadow: 0px 10px 50px rgba(0, 0, 0, 0.05);
}

.calc_reyka_title {
    width: 100%;
    text-align: center;
    color: #686868;
    text-transform: uppercase;
    display: block;
    font-size: 2em;
    margin-block-start: 0.67em; margin-block-end: 0.67em; margin-inline-start: 0px; margin-inline-end: 0px; font-weight: bold;
}

.calc_reyka_row_toggle {
    background: #fbfbfb;
    padding: 5px 15px;
    border: 1px solid #f1f1f1;
}

.calc_new_form_inner {
    padding: 0;
    background: #fff;
    width: 40%;
    overflow: hidden;
    margin: 0;
    height: 100%;
    position: sticky;
    top: 150px;
}

.calc_new_form_inner.calc_new_form_reyka_fileds {
    width: 60%;
}

.calc_reyka_row_color {
    height: 32px;
    border-radius: 3px;
    padding: 3px;
    border: 1px solid #e2e2e2;
    min-width: 50%;
}

.calc_reyka_row_color_item {
    background: #e2e2e2;
    height: 100%;
    width: 100%;
    display: block;
    position: relative;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    color: #fff;
    text-shadow: 0px 0px 20px black;
    position: relative;
    background-size: cover;
}

.calc_reyka_row_color_item:hover {
    cursor: pointer;
}

.calc_new_form_inner.w100 {
    width: 100%;
}

.calc_reyka_row {
    display: flex;
    flex-wrap: wrap;
    padding: 10px 0;
}

.calc_reyka_row:first-child {
    border: none;
}

.calc_reyka_col {
    width: 50%;
    padding: 0 10px;
    box-sizing: border-box;
}

.calc_reyka_row_col2 {
    display: flex;
    margin: 0 -10px;
}

.calc_new_form_inner label {
    font-weight: bold;
    color: #666;
    margin: 0 0 7px 0;
    display: inline-block;
    width: 100%;
    display: flex;
    align-items: center;
}

.calc_new_form_inner input {
    padding: 10px 15px;
    display: block;
    width: 100%;
    color: #000;
    vertical-align: middle;
    background-color: #ffffff;
    font-size: 16px;
    border: none;
    border: 1px solid #e2e2e2;
    box-sizing: border-box;
}

.calc_new_form_inner select {
    padding: 10px 15px;
    display: block;
    width: 100%;
    color: #000;
    vertical-align: middle;
    background-color: #ffffff;
    font-size: 16px;
    border: none;
    border: 1px solid #e2e2e2;
    box-sizing: border-box;
}

.calc_reyka_page .calc_content {
    width: 100%;
}

.calc_reyka_table {
    border-collapse: collapse;
    min-width: 400px;
    width: 100%;
}

.calc_reyka_table td, .calc_reyka_table th {
    border: 1px solid #e2e2e2;
    padding: 15px;
}

.calc_reyka_table th {
    color: #666;
    font-size: 13px;
}

.calc_reyka_table tr {
}

.calc_1_type_room_items {
}

.calc_1_type_room_item {
    position: static;
    display: block;
    width: auto;
    margin: 0;
    padding: 0;
    font: normal 14px/1 Arial;
    color: #333;
    display: inline-block;
    zoom: 1; opacity: .3;
    height: 118px;
    width: 145px;
    background-repeat: no-repeat;
    background-position: center 0;
    cursor: pointer;
    margin-right: 4px;
    border: dotted 1px transparent;
}

.calc_1_type_room_item.item_abcd {
    background-image: url(/wp-content/uploads/room_abcd.png);
}

.calc_1_type_room_item.item_abcdef {
    background-image: url(/wp-content/uploads/room_abcdef.png);
}

.calc_1_type_room_item.item_abcdefgh {
    background-image: url(/wp-content/uploads/room_abcdefgh.png);
}

.calc_1_type_room_item.selected, .calc_1_type_room_item:hover {
    opacity: 1;
    border-color: #afafaf;
}

.calc_1_side_room_items {
    width: 100%;
    margin: 5px 0;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.item_side_line {
    display: flex;
    align-items: center;
    margin-right: 20px;
}

.item_side_line input {
    margin: 0px 5px 0 10px;
    height: 41px;
    width: 100px;
}

.calc_1_side_room_item {
    display: flex;
    flex-wrap: wrap;
}

.calc_1_side_room_item.item_abcd {
    padding: 5px 10px;
    background: rgb(0 0 0 / 2%);
}

.calc_1_side_room_area {
    padding: 5px 20px;
    background: rgb(156 207 45 / 7%);
    width: 100%;
}

.calc_1_side_room_area_side_line {
    display: flex;
    align-items: center;
}

.calc_1_side_room_area_side_line p {
    font-size: 15px;
    width: 100%;
    font-weight: bold;
    color: #666666;
    width: 180px;
}

.calc_1_side_room_area_side_line .m2 {
    width: auto;
}

.calc_1_side_room_area_side_line input {
    margin: 0px 5px 0 10px;
    height: 40px;
    width: 100%;
}

.item_side_line p {
    width: 20px;
    display: inline-block;
    font-size: 15px;
}

.calc_1_side_room_item_block {
    width: 50%;
}

.calc_1_type_room_item.show_ab {
    background-position: center -120px;
}

.calc_1_type_room_item.show_cd {
    background-position: center -360px;
}

.calc_1_type_room_item.show_bc {
    background-position: center -240px;
}

.calc_1_type_room_item.show_de, .calc_1_type_room_item.show_da {
    background-position: center -480px;
}

.calc_1_type_room_item.show_ef {
    background-position: center -600px;
}

.calc_1_type_room_item.show_fg, .calc_1_type_room_item.show_fa {
    background-position: center -720px;
}

.calc_1_type_room_item.show_gh {
    background-position: center -840px;
}

.calc_1_type_room_item.show_ha {
    background-position: center -960px;
}

.direction_block img {
    margin-top: 10px;
    width: 100%;
}

.calc_reyka_table td:first-child {
    width: 400px;
}

.tpl_block {
    text-align: center;
}

[data-height-wall=">2.44<=4.88"], [data-height-wall=">3"] {
    display: none;
}

.heading-2 {
    margin-top: 0px;
    margin-bottom: 30px;
    font-weight: 700;
    color: #555;
    font-size: 40px;
}

.calc_screen_inner {
    max-width: 1440px;
    margin: 0 auto;
    padding: 80px 30px;
    max-width: 1100px;
    z-index: 1;
    position: relative;
}

.open_form_btn {
    text-decoration: none !important;
    max-width: 100%;
    padding: 15px 10px;
    border: none !important;
    background: #198AED;
    font-size: 17px;
    color: #fff !important;
    margin: 10px 0;
    display: inline-block;
    width: 300px;
    text-align: center;
}

.open_form_btn:hover {
    cursor: pointer;
    background: #2c9cfd;
    color: #fff;
}

.open_form_btn_green {
    background: #38b160;
}

.open_form_btn_green:hover {
    cursor: pointer;
    background: #44ca70;
    color: #fff;
}

.color_select_modal_inner {
    min-width: 1000px;
}

.color_select_modal_items {
    display: flex;
    flex-wrap: wrap;
}

.color_select_modal_item {
    height: 110px;
    width: calc(25% - 10px);
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: 18px;
    margin: 5px;
    position: relative;
    border: 1px solid rgba(0, 0, 0, 0.1);
    transition: .2s;
    box-shadow: 0px 20px 20px -1px rgba(255, 255, 255, 0.07) inset;
    background-size: cover;
}

.color_select_modal_item:hover {
    cursor: pointer;
    opacity: .8;
}

.color_select_modal_item span {
    width: 100%;
    position: absolute;
    bottom: 0px;
    left: 0px;
    color: #fff;
    padding: 5px 10px;
    background: rgba(0, 0, 0, 0.08);
    text-shadow: 0px 0px 20px black;
    text-align: center;
}

.calc_reyka_row_color_code {
    background: rgba(0, 0, 0, 0.1);
    height: 100%;
    width: auto;
    padding: 5px 15px;
    display: flex;
    height: 32px;
    box-sizing: border-box;
    justify-content: center;
    align-items: center;
}

.calc_reyka_row_checkbox {
    display: flex;
    width: auto;
}

.calc_reyka_row_checkbox + .calc_reyka_row_checkbox {
    padding-left: 20px;
}

.calc_reyka_row_checkbox label {
    width: auto;
    display: block;
}

.calc_reyka_row_checkbox label:hover {
    cursor: pointer;
}

.calc_reyka_row_checkbox input {
    width: auto;
    margin-left: 10px;
}

.calc_reyka_row_summ {
    margin-top: 20px;
    border-top: 2px dashed gainsboro;
    padding-top: 15px;
}

.calc_reyka_row_summ_text b {
    font-size: 22px;
    margin-bottom: 5px;
    display: inline-block;
    color: #666666;
}

.calc_reyka_row_summ_text p {
    margin: 10px 0;
    font-size: 18px;
    justify-content: space-between;
    width: auto;
}

.calc_reyka_row_summ_text {
    overflow: hidden;
    border-radius: 0;
    width: auto;
}

.calc_reyka_row_summ_text span {
    font-weight: bold;
    color: #666666;
    padding-left: 10px;
}

#modal_invoice {
    max-width: 600px;
}

.fancybox-content {
    padding: 30px;
    border-radius: 5px;
}

.modal-title {
    /* font-size: 23px; */
    /* font-weight: bold; */
    /* color: #6f6f6f; */
    /* margin: 0 0 15px; */
    /* text-align: center; */
}

.checkbox-field label {
    background-color: transparent !important;
    font-size: 13px;
    font-weight: 500;
    color: #6a6a6a;
    margin-bottom: 3px;
    display: inline-block;
    padding-left: 5px;
}

.checkbox-field label a {
    color: #198aeb;
}

.checkbox-field {
    margin: 10px 0 20px 0;
    text-align: left;
    display: block;
    display: flex;
}

.calc_reyka_row_light_buttons {
    display: none;
}

.calc_new_form_reyka_fileds.disabled .calc_reyka_row_reyka_only {
    opacity: .2;
    pointer-events: none;
    filter: blur(2px);
}

.calc_reyka_row_light_inner.disabled {
    opacity: .2;
    pointer-events: none;
    filter: blur(2px);
}

.calc_new_form_reyka_fileds.disabled .calc_reyka_row_light_buttons {
    display: flex;
}

.calc_new_form_reyka_fileds.disabled .calc_reyka_row_reyka_buttons {
    display: none;
}

.calc_new_form_reyka_fileds.disabled + .calc_new_form_inner .calc_reyka_row_light_buttons {
    display: block;
}

.calc_reyka_row.required_row > label:after {
    content: '*';
    display: block;
    padding-left: 3px;
    color: #ff000091;
    font-size: 20px;
    height: 13px;
    width: 10px;
}

.calc_1_side_room_area.disabled, .calc_1_side_room_item.item_abcd.disabled {
    opacity: .4;
}

.calc_reyka_row_light {
    border-top: 2px dashed #cecece;
    margin-top: 25px;
    padding-top: 25px;
}

.calc_reyka_row_reyka_title {
    margin: 0 0 10px 0;
    font-size: 23px;
    font-weight: bold;
    color: #4c7ba9;
}

.calc_reyka_row_light_title {
    margin: 0 0 20px 0;
    font-size: 22px;
    font-weight: bold;
    color: #4c7ba9;
}

.image_reyka {
    width: 100%;
    display: block;
    border-radius: 5px;
}

.image_reyka_block {
    background: white;
    margin-bottom: 30px;
}

.tpl_block.calc_new_form_reyka_fileds {
}

.tpl_block.calc_new_form_reyka_fileds img {
    width: 100%;
    display: block;
    border-radius: 5px;
}

.reyka-heading-3 {
    margin-top: 0px;
    margin-bottom: 30px;
    font-weight: 700;
    color: #555;
    font-size: 40px;
    margin-bottom: 5px;
    text-align: center;
}

.reyka-heading-4 {
    margin-top: 0px;
    margin-bottom: 30px;
    font-weight: 700;
    color: #929292;
    font-size: 22px;
    margin: 0 0 30px 0;
    text-align: center;
    border-bottom: 1px dashed #e0e0e0;
    padding-bottom: 35px;
    font-weight: 400;
}

.first_screen_center_block {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
}

.first_screen_center_title {
    margin: 0 auto 15px auto;
    font-size: 50px;
    color: #ffffff;
    max-width: 1100px;
    line-height: 1;
}

.first_screen_center_subtitle {
    margin: 0 auto;
    font-size: 25px;
    max-width: 1000px;
    color: rgb(255 255 255 / 78%);
    font-weight: 400;
}

.first_screen_center_block_inner {
    text-align: center;
}

.first_screen {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
}

.first_screen_center_block_buttons {
    display: flex;
    width: 100%;
    margin-top: 50px;
    justify-content: center;
}

.first_screen_center_block_button i {
    display: inline-block;
    padding-right: 20px;
}

.first_screen_center_block_button {
    margin: 10px;
    width: 400px;
    font-size: 24px;
    font-weight: bold;
    padding: 25px 0;
    border-radius: 3px;
    transition: .5s;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    letter-spacing: .5px;
}

.first_screen_center_block_button:hover {
    transform: translateY(-5px);
}

.first_screen_center_block_buttons p {
    margin: 0;
}

.first_screen_center_block_button_reyka {
    background: #0080ff;
    box-shadow: 0px 5px 5px rgb(0 128 255 / 13%);
}

.first_screen_center_block_button_light {
    background: #f42f2f;
    box-shadow: 0px 5px 5px rgb(204 0 0 / 24%);
}

.first_screen_center_block_button_reyka:hover {
    box-shadow: 0px 2px 30px rgb(0 128 255 / 43%);
}

.first_screen_center_block_button_light:hover {
    box-shadow: 0px 2px 30px rgb(244 47 47 / 54%);
}

.calc_reyka_row_radio {
    display: flex;
    width: auto;
    align-items: center;
}

.calc_reyka_row_radio input {
    padding: 10px 15px;
    display: block;
    width: 100%;
    color: #000;
    vertical-align: middle;
    background-color: #ffffff;
    font-size: 16px;
    border: none;
    border: 1px solid #e2e2e2;
    box-sizing: border-box;
    width: auto;
    margin-left: 10px;
    margin: 0 0 0 10px;
    display: none;
}

.calc_reyka_row_radio input:checked + label {
    border-color: transparent;
    background: rgb(25 138 237);
    color: #fff;
}

.calc_reyka_row_radio label {
    margin: 0;
    border: 1px solid #d6d6d6;
    display: flex;
    width: auto;
    background: #ececec;
    align-items: center;
    padding: 6px 15px;
    border-radius: 3px;
    font-weight: 400;
    color: #000;
}

.calc_reyka_row_radio *:hover, .calc_reyka_row_radio:hover {
    cursor: pointer;
}

.calc_reyka_row_radio + .calc_reyka_row_radio {
    margin-left: 10px;
}

.fa-calculator:before {
    content: "\f1ec";
}

.first_screen_center_block_button{
    position: relative;
    overflow: hidden;
}

.first_screen_center_block_button:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 1.5em;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.6);
    transform: translateX(-4em) skewX(-45deg);
}
.first_screen_center_block_button:hover:before {
    animation: move-light 0.5s;
}

@keyframes move-light {
    from {
        transform: translateX(-4em) skewX(-45deg);
    }
    to {
        transform: translateX(20em) skewX(-45deg);
    }
}
